Delete source maps

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

DELETE https://api.ap1.datadoghq.com/api/v2/sourcemapshttps://api.ap2.datadoghq.com/api/v2/sourcemapshttps://api.datadoghq.eu/api/v2/sourcemapshttps://api.ddog-gov.com/api/v2/sourcemapshttps://api.us2.ddog-gov.com/api/v2/sourcemapshttps://api.uk1.datadoghq.com/api/v2/sourcemapshttps://api.datadoghq.com/api/v2/sourcemapshttps://api.us3.datadoghq.com/api/v2/sourcemapshttps://api.us5.datadoghq.com/api/v2/sourcemaps

개요

지정된 필터 기준과 일치하는 소스 맵을 삭제합니다. 실제 삭제를 수행하지 않고 어떤 소스 맵이 삭제될지 미리 볼 수 있는 dry-run 모드를 지원합니다. This endpoint requires the rum_delete_data permission.

인수

쿼리 문자열

이름

유형

설명

mapkind [required]

enum

The type of source map. Valid values are js, jvm, ios, react, flutter, elf, ndk, il2cpp.
Allowed enum values: js, jvm, ios, react, flutter, elf, ndk, il2cpp

dry_run [required]

boolean

When set to true, returns the source maps that would be deleted without performing the actual deletion. When set to false, performs the deletion.

filter[service]

array

Filter by service names (multiple values allowed). Required for js, jvm, react, and flutter map kinds.

filter[version]

array

Filter by version values (multiple values allowed, maximum 10). Required for js, jvm, react, and flutter map kinds.

filter[variant]

array

Filter by variant values (multiple values allowed). Supported for jvm.

filter[id]

array

Filter by source map ID values (multiple values allowed). Supported for all map kinds.

filter[build_id]

array

Filter by build ID values (multiple values allowed). Supported for jvm, ndk, and il2cpp.

filter[uuid]

array

Filter by UUID values (multiple values allowed). Supported for ios.

filter[platform]

array

Filter by platform values (multiple values allowed). Supported for react.

filter[build_number]

array

Filter by build number values (multiple values allowed). Supported for react.

filter[bundle_name]

array

Filter by bundle name values (multiple values allowed). Supported for react.

filter[arch]

array

Filter by architecture values (multiple values allowed). Supported for flutter, elf, and ndk.

filter[symbol_source]

array

Filter by symbol source values (multiple values allowed). Supported for elf.

filter[origin]

array

Filter by origin values (multiple values allowed). Supported for elf.

filter[origin_version]

array

Filter by origin version values (multiple values allowed). Supported for elf.

filter[filename]

string

Filter by filename (single value). Supported for js, elf, and ndk.

filter[debug_id]

string

Filter by debug ID (single value). Supported for react.

filter[gnu_build_id]

string

Filter by GNU build ID (single value). Supported for elf.

filter[go_build_id]

string

Filter by Go build ID (single value). Supported for elf.

filter[file_hash]

string

Filter by file hash (single value). Supported for elf.

응답

OK

Response containing a list of affected source maps.

Expand All

항목

유형

설명

data [required]

[ <oneOf>]

List of source map data objects.

Object 1

object

JavaScript source map data object.

attributes [required]

object

Attributes of a JavaScript source map.

absolute_path

string

The absolute path to the minified JavaScript file.

blob_storage_sourcemap_path

string

The path to the source map in blob storage.

build_id

string

The build identifier.

created_at [required]

date-time

The timestamp when the source map was created.

debug_id

string

The debug identifier (UUID format) that uniquely identifies this JavaScript source map. Returned for source maps indexed by debug ID.

domain

string

The domain associated with the source map.

file_name

string

The file name of the minified JavaScript file.

mapkind [required]

string

The type of source map.

service

string

The service name associated with the source map.

size [required]

int64

The size of the source map file in bytes.

variant

string

The source map variant.

version

string

The version of the service associated with the source map.

version_code

string

The version code.

id [required]

string

The unique identifier of the source map.

type [required]

enum

The resource type for source map objects. Allowed enum values: sourcemaps

Object 2

object

React Native source map data object.

attributes [required]

object

Attributes of a React Native source map.

build_number

string

The build number.

bundle_name

string

The bundle name.

bundle_version

string

The bundle version.

created_at [required]

date-time

The timestamp when the source map was created.

debug_id

string

The debug identifier (UUID format).

mapkind [required]

string

The type of source map.

platform

string

The platform the source map was built for (e.g., ios, android).

service

string

The service name associated with the source map.

size [required]

int64

The size of the source map file in bytes.

version

string

The version of the service associated with the source map.

id [required]

string

The unique identifier of the source map.

type [required]

enum

The resource type for source map objects. Allowed enum values: sourcemaps

Object 3

object

iOS dSYM source map data object.

attributes [required]

object

Attributes of an iOS dSYM source map.

created_at [required]

date-time

The timestamp when the source map was created.

mapkind [required]

string

The type of source map.

size [required]

int64

The size of the dSYM file in bytes.

uuids

string

The UUID(s) associated with the dSYM file.

id [required]

string

The unique identifier of the source map.

type [required]

enum

The resource type for source map objects. Allowed enum values: sourcemaps

Object 4

object

JVM (ProGuard/R8) mapping file data object.

attributes [required]

object

Attributes of a JVM mapping file.

build_id

string

The build identifier (UUID format).

created_at [required]

date-time

The timestamp when the mapping file was created.

mapkind [required]

string

The type of source map.

service

string

The service name associated with the mapping file.

size [required]

int64

The size of the mapping file in bytes.

variant

string

The build variant (e.g., release, debug).

version

string

The version of the service associated with the mapping file.

version_code

string

The version code.

id [required]

string

The unique identifier of the source map.

type [required]

enum

The resource type for source map objects. Allowed enum values: sourcemaps

Object 5

object

Flutter symbol file data object.

attributes [required]

object

Attributes of a Flutter symbol file.

arch

string

The target CPU architecture.

created_at [required]

date-time

The timestamp when the symbol file was created.

mapkind [required]

string

The type of source map.

service

string

The service name associated with the symbol file.

size [required]

int64

The size of the symbol file in bytes.

variant

string

The build variant.

version

string

The version of the service associated with the symbol file.

id [required]

string

The unique identifier of the source map.

type [required]

enum

The resource type for source map objects. Allowed enum values: sourcemaps

Object 6

object

ELF symbol file data object.

attributes [required]

object

Attributes of an ELF symbol file.

arch

string

The target CPU architecture.

created_at [required]

date-time

The timestamp when the symbol file was created.

file_hash

string

The SHA256 hash of the ELF file.

file_name

string

The ELF file name.

gnu_build_id

string

The GNU build ID (UUID format).

go_build_id

string

The Go build ID (UUID format).

mapkind [required]

string

The type of source map.

origin

string

The origin of the ELF file.

origin_version

string

The version of the origin package.

size [required]

int64

The size of the ELF file in bytes.

symbol_source

string

The source of the debug symbols.

id [required]

string

The unique identifier of the source map.

type [required]

enum

The resource type for source map objects. Allowed enum values: sourcemaps

Object 7

object

Android NDK symbol file data object.

attributes [required]

object

Attributes of an Android NDK symbol file.

arch

string

The target CPU architecture.

build_id

string

The build identifier (UUID format).

created_at [required]

date-time

The timestamp when the symbol file was created.

file_name

string

The NDK library file name.

mapkind [required]

string

The type of source map.

size [required]

int64

The size of the symbol file in bytes.

id [required]

string

The unique identifier of the source map.

type [required]

enum

The resource type for source map objects. Allowed enum values: sourcemaps

Object 8

object

IL2CPP mapping file data object.

attributes [required]

object

Attributes of an IL2CPP mapping file.

build_id

string

The build identifier (UUID format).

created_at [required]

date-time

The timestamp when the mapping file was created.

mapkind [required]

string

The type of source map.

size [required]

int64

The size of the mapping file in bytes.

id [required]

string

The unique identifier of the source map.

type [required]

enum

The resource type for source map objects. Allowed enum values: sourcemaps

{
  "data": [
    {
      "attributes": {
        "absolute_path": "/js/bundle.min.js",
        "blob_storage_sourcemap_path": "org123/1.0.0/bundle.min.js.map",
        "build_id": "abc123",
        "created_at": "2024-01-01T00:00:00Z",
        "debug_id": "00000000-0000-4000-8000-000000000001",
        "domain": "example.com",
        "file_name": "bundle.min.js",
        "mapkind": "js",
        "service": "my-web-service",
        "size": 1024,
        "variant": "release",
        "version": "1.0.0",
        "version_code": "100"
      },
      "id": "5",
      "type": "sourcemaps"
    }
  ]
}

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

항목

유형

설명

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Internal Server Error

API error response.

Expand All

항목

유형

설명

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

코드 예시

                  # Required query arguments
export mapkind="js"
export dry_run="true"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X DELETE "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/sourcemaps?mapkind=${mapkind}&dry_run=${dry_run}" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"